Bug 245549 - (CVE-2007-2798) CVE-2007-2798 krb5 kadmind buffer overflow
CVE-2007-2798 krb5 kadmind buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
reported=20070529,source=mit,impact=i...
: Security
Depends On: 239073 245544
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 07:49 EDT by Mark J. Cox (Product Security)
Modified: 2008-02-26 10:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 10:14:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-06-25 07:49:04 EDT
MIT has reported another flaw to us, CVE-2007-2798:
    The MIT krb5 Kerberos administration daemon (kadmind) is vulnerable to
    a stack buffer overflow.

The kadmind code which performs the principal renaming operation
passes unchecked string arguments to a sprintf() call which has a
fixed-size stack buffer as its destination. These strings are the old
and new principal names passed to the rename operation. The attacker
needs to authenticate to kadmind to perform this attack, but no
administrative privileges are required because the vulnerable code
executes prior to privilege verification.
Comment 1 Mark J. Cox (Product Security) 2007-06-25 07:49:52 EDT
The attacker must be authenticated, therefore this issue is important impact on
Red Hat Enterprise Linux.
Comment 3 Josh Bressers 2007-06-26 14:22:03 EDT
Lifting embargo: http://web.mit.edu/Kerberos/advisories/MITKRB5-SA-2007-005.txt
Comment 4 Carl Krekorian 2007-07-27 08:32:14 EDT
Support Can you please give me a status on the release for the fix. I need 
rpm's for RHELWSV4 and RHELWSV3 ASAP

Thanks 
-Carl

krekoriancr@npt.nuwc.navy.mil
Comment 5 Red Hat Product Security 2008-02-26 10:14:21 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0384.html
  http://rhn.redhat.com/errata/RHSA-2007-0562.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-0740


Note You need to log in before you can comment on or make changes to this bug.